Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.expression.transformers
Class AbstractExpressionTransformer

    java.lang.Object
      org.mule.transformer.AbstractTransformer
          org.mule.transformer.AbstractMessageTransformer
              org.mule.expression.transformers.AbstractExpressionTransformer

All Implemented Interfaces:
  MuleContextAware, MuleContextNotificationListener<MuleContextNotification>, ServerNotificationListener<MuleContextNotification>, Disposable, Initialisable, NamedObject, MessageProcessor, BaseTransformer, MessageTransformer, Transformer

Direct Known Subclasses:
  AtomEntryBuilderTransformer, BeanBuilderTransformer, ExpressionTransformer

    public abstract class AbstractExpressionTransformer

extends AbstractMessageTransformer

This transformer will evaluate one or more expressions on the current message and return the results as an Array. If only one expression is defined it will return the object returned from the expression.

You can use expressions to extract

- headers (single, map or list)
- attachments (single, map or list)
- payload
- xpath
- groovy
- bean

and more.

This transformer provides a very powerful way to pull different bits of information from the message and pass them to the service.

Field Summary
`protected List<ExpressionArgument>` | `arguments`

Fields inherited from class org.mule.transformer.AbstractTransformer
`encoding, endpoint, logger, mimeType, MULE_MESSAGE_DATA_TYPE, muleContext, name, returnType, sourceTypes`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`AbstractExpressionTransformer()`

Method Summary
`void` | `addArgument(ExpressionArgument argument)`
`List<ExpressionArgument>` | `getArguments()`
`void` | `initialise()` Template method were deriving classes can do any initialisation after the properties have been set on this transformer
`boolean` | `removeArgument(ExpressionArgument argument)`
`void` | `setArguments(List<ExpressionArgument> arguments)`

Methods inherited from class org.mule.transformer.AbstractMessageTransformer
`checkReturnClass, doTransform, isSourceDataTypeSupported, transform, transform, transform, transformMessage`

Methods inherited from class org.mule.transformer.AbstractTransformer
`checkReturnClass, dispose, generateTransformerName, getEncoding, getEncoding, getEndpoint, getMimeType, getName, getReturnClass, getReturnDataType, getSourceDataTypes, getSourceTypes, isAcceptNull, isAllowNullReturn, isConsumed, isIgnoreBadInput, isSourceDataTypeSupported, isSourceTypeSupported, isSourceTypeSupported, onNotification, process, registerSourceType, registerSourceType, setAllowNullReturn, setEncoding, setEndpoint, setIgnoreBadInput, setMimeType, setMuleContext, setName, setReturnClass, setReturnDataType, toString, transform, unregisterSourceType, unregisterSourceType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.mule.api.transformer.Transformer
`getEncoding, getMimeType, getReturnClass, getReturnDataType, getSourceDataTypes, getSourceTypes, isAcceptNull, isIgnoreBadInput, isSourceDataTypeSupported, isSourceTypeSupported, setReturnClass, setReturnDataType, transform`

Methods inherited from interface org.mule.api.transformer.BaseTransformer
`getEndpoint, setEndpoint`

Methods inherited from interface org.mule.api.processor.MessageProcessor
`process`

Methods inherited from interface org.mule.api.lifecycle.Disposable
`dispose`

Methods inherited from interface org.mule.api.NamedObject
`getName, setName`

Methods inherited from interface org.mule.api.context.MuleContextAware
`setMuleContext`

Field Detail

### arguments

    protected List<ExpressionArgument> arguments

Constructor Detail

### AbstractExpressionTransformer

    public AbstractExpressionTransformer()

Method Detail

### addArgument

    public void addArgument(ExpressionArgument argument)

### removeArgument

    public boolean removeArgument(ExpressionArgument argument)

### initialise

    public void initialise()
                    throws InitialisationException

  Template method were deriving classes can do any initialisation after the properties have been set on this transformer

  Specified by:
    `initialise` in interface `Initialisable`
  Overrides:
    `initialise` in class `AbstractTransformer`
  Throws:
    `InitialisationException`
    `RecoverableException` - if an error occurs that can be recovered from

### getArguments

    public List<ExpressionArgument> getArguments()

### setArguments

    public void setArguments(List<ExpressionArgument> arguments)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.